<div class="modulo_carrito">
    <div class="icono">
        <a class="link_carrito_flotante" href="{{ preUrl }}index.php?controller=carrito">&nbsp;</a>
    </div>
    {% if totales.cantidad_total > 0 %}    
        <div class="cantidad">{{ totales.cantidad_total }}</div>
    {% else %}
        <div class="cantidad">0</div>
    {% endif %}
    <div class="clearfix"></div>
    <div class="contenido" id="contenido_carrito_flotante">
        <div class="uppercase titulo-carrito">Mi carrito</div>
        <div class="show-for-small-only">
            <div><small>&Uacute;ltimos 2 productos de tu carrito</small></div>
            {% for c in carrito|slice(0,2) %}
            {% set producto = c.producto.first %}
            {% set talla = c.extension.talla %}
            {% set img = producto.imagenes.first %}
            <div class="row info-carrito">
                <div class="small-4 columns">
                    <div class="visor_img_mod"><img src="{{ urlImg }}productos/{{ producto.id }}/thumb/{{ img.archivo }}" /></div>            
                </div>
                <div class="small-8 columns">
                    {% if p.valor_base > 0 %}<div>Precio: ${{ producto.valor_base|number_format }}</div>{% endif %}
                    <div>Ref: {{ producto.referencia }}</div>
                    <div>Talla: {{ talla.abrev }}</div>
                    <div>Cantidad: {{ c.cantidad }}</div>                        
                </div>
                {#<div class="small-4 columns text-center">
                    <div class="clearfix">
                        <a href="index.php?controller=carrito&task=agregarProducto&id_producto{{ producto.id }}&id_ext={{ c.id_ext }}&cantidad=1&format=raw" class="boton-cantidad mas"></a>
                        <a href="index.php?controller=carrito&task=agregarProducto&id_producto{{ producto.id }}&id_ext={{ c.id_ext }}&cantidad=-1&format=raw" class="boton-cantidad menos"></a>
                    </div>
                </div>#}
            </div>
            <div class="separador-carrito"></div>
            {% endfor %}
        </div>
        <div class="hide-for-small-only">
            <div><small>&Uacute;ltimos 5 productos de tu carrito</small></div>
            {% for c in carrito %}
            {% set producto = c.producto.first %}
            {% set talla = c.extension.talla %}
            {% set img = producto.imagenes.first %}
            <div class="row info-carrito">
                <div class="small-4 columns">
                    <div class="visor_img_mod"><img src="{{ urlImg }}productos/{{ producto.id }}/thumb/{{ img.archivo }}" /></div>            
                </div>
                <div class="small-8 columns">
                    {% if p.valor_base > 0 %}<div>Precio: ${{ producto.valor_base|number_format }}</div>{% endif %}
                    <div>Ref: {{ producto.referencia }}</div>
                    <div>Talla: {{ talla.abrev }}</div>
                    <div>Cantidad: {{ c.cantidad }}</div>                        
                </div>
                {#<div class="small-4 columns text-center">
                    <div class="clearfix">
                        <a href="index.php?controller=carrito&task=agregarProducto&id_producto{{ producto.id }}&id_ext={{ c.id_ext }}&cantidad=1&format=raw" class="boton-cantidad mas"></a>
                        <a href="index.php?controller=carrito&task=agregarProducto&id_producto{{ producto.id }}&id_ext={{ c.id_ext }}&cantidad=-1&format=raw" class="boton-cantidad menos"></a>
                    </div>
                </div>#}
            </div>
            <div class="separador-carrito"></div>
        {% endfor %}
        </div>
        
        {% if totales.pesos_total > 0 %}
        <div class="text-right">Total: ${{ totales.pesos_total|number_format }}</div>
        {% endif %}
        
        <div class="separador-carrito"></div>
        {#<div class="text-right">Env&iacute;o: ${{ envio|number_format }}</div>
        <div class="separador-carrito"></div>
        <div class="text-right">Total: ${{ (totales.pesos_total + envio)|number_format }}</div>
        <div class="separador-carrito"></div>#}
        <div class="text-center">
            <div class="boton-carrito verde"><a href="{{ preUrl }}index.php?controller=carrito">Enviar</a></div>
        </div>                
    </div>
    <div class="clearfix"></div>
</div>
